#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: equivalence
version: 0.3.1
id: equivalence-0.3.1-d0c55e5d0e0afa9edd025dd6e148e569
key: equiv_J4jzZmER3hIEsh1k9iIcsd
license: BSD3
maintainer: paba@di.ku.dk
stability: provisional
homepage: https://bitbucket.org/paba/equivalence/
synopsis: Maintaining an equivalence relation implemented as union-find using STT.
description:
    This is an implementation of Tarjan'\''s Union-Find algorithm (Robert
    E. Tarjan. "Efficiency of a Good But Not Linear Set Union
    Algorithm", JACM 22(2), 1975) in order to maintain an equivalence
    relation.
    This implementation is a port of the /union-find/ package using the
    ST monad transformer (instead of the IO monad).
category: Algorithms, Data
author: Patrick Bahr
exposed: True
exposed-modules:
    Data.Equivalence.STT Data.Equivalence.Monad
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/equivalence-0.3.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/equivalence-0.3.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/equivalence-0.3.1
hs-libraries: HSequivalence-0.3.1-J4jzZmER3hIEsh1k9iIcsd
include-dirs: /usr/local/include
depends:
    STMonadTrans-0.3.3-532fc4297285422c1e485c5ce9a6695a
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    containers-0.5.6.2-038ff4498ef87a6c587d93cd99a6573b
    mtl-2.2.1-5cf332b11edb88a6040af20fd6a58acb
    transformers-0.4.2.0-21dcbf13c43f5d8cf6a1f54dee6c5bff
    transformers-compat-0.4.0.4-3ca5cbcec233c17da785d5f27705643c
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/equivalence-0.3.1/html/equivalence.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/equivalence-0.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
